<div class="container-buttons">
    <button 
        mat-mini-fab
        color="primary"
        (click)="editProduct()" >
        <mat-icon>edit</mat-icon>
    </button>
    <button 
        mat-mini-fab
        color="warn"
        (click)="removeProduct()" >
        <mat-icon>delete</mat-icon>
    </button>
    <button 
        mat-mini-fab 
        (click)="addProductToCart()" >
        <mat-icon>add_shopping_cart</mat-icon>
    </button>

</div>